<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; border-collapse: collapse; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border: 1px solid #ccc; }
        .hover { background-color: #B8DBFD; }
        .selected { background-color: #ffd800; }
    </style>
    <script type="text/javascript">
        function SelectOne(chk) {
            //Get the reference of GridView.
            var grid = chk.parentNode.parentNode.parentNode;

            //Get the reference of GridView Row.
            var row = chk.parentNode.parentNode;

            //Set the color of Row.
            row.className = "selected";

            //Reference the Header CheckBox.
            var headerCheckBox = grid.rows[0].cells[0].getElementsByTagName("input")[0];;

            var checked = true;

            //Loop through all GridView Rows.
            for (var i = 1; i < grid.rows.length - 1; i++) {
                //Reference the CheckBox.
                var checkBox = grid.rows[i].cells[0].getElementsByTagName("input")[0];
                if (!checkBox.checked) {
                    checked = false;
                    break;
                }
            }

            headerCheckBox.checked = checked;
        };

        function SelectAll(headerCheckBox) {
            //Get the reference of GridView.
            var GridView = headerCheckBox.parentNode.parentNode.parentNode;

            //Loop through all GridView Rows except first row.
            for (var i = 1; i < GridView.rows.length - 1; i++) {
                //Reference the CheckBox.
                var checkBox = GridView.rows[i].cells[0].getElementsByTagName("input")[0];

                //If CheckBox is checked, change background color the GridView Row.
                if (headerCheckBox.checked) {
                    checkBox.checked = true;
                    GridView.rows[i].className = "selected";
                } else {
                    checkBox.checked = false;
                    GridView.rows[i].className = "";
                }
            }
        };
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="gvCustomers" runat="server" AutoGenerateColumns="false"
            AllowPaging="true" OnPageIndexChanging="OnPaging" PageSize="10">
            <Columns>
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox ID="chkAll" runat="server" onclick="SelectAll(this);" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="CheckBox1" runat="server" onclick="SelectOne(this)" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="CustomerID" HeaderText="Customer Id" />
                <asp:BoundField DataField="City" HeaderText="City" />
                <asp:BoundField DataField="Country" HeaderText="Country" />
                <asp:BoundField DataField="PostalCode" HeaderText="PostalCode" />
            </Columns>
        </asp:GridView>
    </form>
</body>
</html>